%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define srcname Quixote

Name:           python-quixote
Version:        2.4
Release:        13%{?dist}
Summary:        A highly Pythonic Web application framework

Group:          Development/Libraries
License:        CNRI
URL:            http://www.mems-exchange.org/software/quixote/
Source0:        http://www.mems-exchange.org/software/files/quixote/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel

%description
Quixote is a framework for developing Web applications in Python. Quixote is
based on a simple, flexible design, making it possible to write applications
quickly and to benefit from the wide range of available third-party Python
modules. Deployed appropriately, Quixote has excellent performance that allows
you to put Quixote-based applications into large-scale production use.

%prep
%setup -q -n %{srcname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/ CHANGES README TODO LICENSE
%dir %{python_sitearch}/quixote
%{python_sitearch}/quixote/*

%if 0%{?fedora} >= 9
  %{python_sitearch}/Quixote-%{version}-py?.?.egg-info
%endif

%changelog
* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.4-13
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.4-10
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.4-9
- Rebuild for Python 2.6

* Fri Mar 07 2008 Jesse Keating <jkeating@redhat.com> - 2.4-8
- Drop the pyver stuff, not needed.
- Fix the multiple file listings

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.4-6
- Autorebuild for GCC 4.3

* Sat Dec 23 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 2.4-5
- Rebuild with Python 2.5

* Sat Sep 16 2006 Shahms E. King <shahms@shahms.com> 2.4-4
- Rebuild for FC6

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 2.4-3
- Include, don't ghost .pyo files per new guidelines

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 2.4-2
- Rebuild for FC5

* Wed Dec 14 2005 Shahms E. King <shahms@shahms.com> 2.4-1
- update to new upstream 2.4

* Wed Oct 19 2005 Shahms E. King <shahms@shahms.com> 2.3-1
- update to new upstream 2.3

* Wed Sep 28 2005 Shahms E. King <shahms@shahms.com> 2.2-1
- update to new upstream 2.2

* Thu Sep 08 2005 Shahms E. King <shahms@shahms.com> 2.1-1
- update to new upstream 2.1
- add dist tag

* Wed Apr 13 2005 Shahms E. King <shahms@shahms.com> 2.0-1
- update to Quixote 2.0
- removed unused python_sitelib

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2-4
- add missing %%dir entries

* Thu Mar 10 2005 Shahms E. King <shahms@shahms.com> 1.2-3 -
- remove 'srcver' from specfile

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 1.2-2
- Fix up specfile for FC3
- Change python_sitelib -> python_sitearch for multi-lib builds

* Thu Oct 28 2004 Shahms E. King <shahms@shahms.com> -
- Update to 1.2

* Wed May 26 2004 Shahms King <shahms@shahms.com> -
- Initial Relase
